<template>
  <div id="ietp">
    <!-- <img src="./digitalData.jpg" height="100%" width="100%" /> -->
    <iframe id="myiframe" ref="iframe" :src="src" scrolling="no" width="100%" frameborder="no" border="0"></iframe>
  </div>
</template>

<script>
export default {
  data() {
    return {
      src: ''
    }
  },
  created() {
    this.loaded()
  },
  methods: {
    async getUserInfo() {
      let res = await this.$http.get('/sys/data/export/inte/replaceurl')
      if (res.success) {
        var ifm = document.getElementById('myiframe')
        ifm.height = document.documentElement.clientHeight
        this.src = res.data.url + res.data.token
        window.console.log(this.src, 'this.src')
      }
    },
    loaded() {
      this.getUserInfo()
    }
  }
}
</script>
<style>
#ietp {
  margin-top: 35px;
  margin-left: 5px;
}
</style>
